package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Entity // @Audited
@Table(name = "PersiapanPraAnestesi_T")
public class PersiapanPraAnestesi extends BaseTransaction {

	@ManyToOne
	@JoinColumn(name = "PerencanaanAnestesiFk")
	@NotNull(message = "Perencanaan Anestesi tidak boleh kosong")
	private PerencanaanAnestesi perencanaanAnestesi;

	@Column(name = "PerencanaanAnestesiFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false)
	private String perencanaanAnestesiId;

	@ManyToOne
	@JoinColumn(name = "PersiapanPraAnestesiDetailFk")
	@NotNull(message = "Persiapan PraAnestesi Detail tidak boleh kosong")
	private PersiapanPraAnestesiDetail persiapanPraAnestesiDetail;

	@Column(name = "PersiapanPraAnestesiDetailFk", insertable = false, updatable = false)
	private Integer persiapanPraAnestesiDetailId;

	@Column(name = "Jam")
	@Caption(value = "Jam")
	private String jam;

	@Column(name = "Tanggal")
	@Caption(value = "Tanggal")
	private Date tanggal;

	public PerencanaanAnestesi getPerencanaanAnestesi() {
		return perencanaanAnestesi;
	}

	public void setPerencanaanAnestesi(PerencanaanAnestesi perencanaanAnestesi) {
		this.perencanaanAnestesi = perencanaanAnestesi;
	}

	public String getPerencanaanAnestesiId() {
		return perencanaanAnestesiId;
	}

	public void setPerencanaanAnestesiId(String perencanaanAnestesiId) {
		this.perencanaanAnestesiId = perencanaanAnestesiId;
	}

	public PersiapanPraAnestesiDetail getPersiapanPraAnestesiDetail() {
		return persiapanPraAnestesiDetail;
	}

	public void setPersiapanPraAnestesiDetail(PersiapanPraAnestesiDetail persiapanPraAnestesiDetail) {
		this.persiapanPraAnestesiDetail = persiapanPraAnestesiDetail;
	}

	public Integer getPersiapanPraAnestesiDetailId() {
		return persiapanPraAnestesiDetailId;
	}

	public void setPersiapanPraAnestesiDetailId(Integer persiapanPraAnestesiDetailId) {
		this.persiapanPraAnestesiDetailId = persiapanPraAnestesiDetailId;
	}

	public String getJam() {
		return jam;
	}

	public void setJam(String jam) {
		this.jam = jam;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

 
}